diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
index fd3c93d812..997db9a92d 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
@@ -1179,28 +1065,160 @@ public class DerivedUnitFacade {
 	}
 
 	// distance to ground
+	
+	/**
+	 * Returns the correctly formatted <code>distance to ground</code> information.
+	 * If distanceToGroundText is not blank, it will be returned,
+	 * otherwise distanceToGround will be returned, followed by distanceToGroundMax 
+	 * if existing, separated by " - " 
+	 * @return
+	 */
 	@Transient
-	public Integer getDistanceToGround() {
-		return (hasGatheringEvent() ? getGatheringEvent(true)
-				.getDistanceToGround() : null);
+	public String distanceToGroundToString() {
+		if (! hasGatheringEvent()){
+			return null;
+		}else{
+			GatheringEvent ev = getGatheringEvent(true);
+			String text = ev.getDistanceToGroundText();
+			Double min = getDistanceToGround();
+			Double max = getDistanceToGroundMax();
+			return distanceString(min, max, text);
+		}
 	}
 
-	public void setDistanceToGround(Integer distanceToGround) {
-		getGatheringEvent(true).setDistanceToGround(distanceToGround);
+	@Transient
+	public Double getDistanceToGround() {
+		return (hasGatheringEvent() ? getGatheringEvent(true).getDistanceToGround() : null);
 	}
 
+	public void setDistanceToGround(Double distanceToGround) {
+		getGatheringEvent(true).setDistanceToGround(distanceToGround);
+	}
+	
+	/**
+	 * @see #getDistanceToGround()
+	 * @see #getDistanceToGroundRange(Integer, Integer)
+	 */
+	@Transient
+	public Double getDistanceToGroundMax() {
+		if (!hasGatheringEvent()) {
+			return null;
+		}else{
+			return getGatheringEvent(true).getDistanceToGroundMax();
+		}
+	}
+	
+	public void setDistanceToGroundMax(Double distanceToGroundMax) {
+		getGatheringEvent(true).setDistanceToGroundMax(distanceToGroundMax);
+	}
+	
+	/**
+	 * @see #getDistanceToGround()
+	 * @see #setDistanceToGroundRange(Integer, Integer)
+	 */
+	@Transient
+	public String getDistanceToGroundText() {
+		if (!hasGatheringEvent()) {
+			return null;
+		}else{
+			return getGatheringEvent(true).getDistanceToGroundText();
+		}
+	}
+	public void setDistanceToGroundText(String distanceToGroundText) {
+		getGatheringEvent(true).setDistanceToGroundText(distanceToGroundText);
+	}
+	
+	/**
+	 * Convenience method to set distance to ground minimum and maximum.
+	 * 
+	 * @see #getDistanceToGround()
+	 * @see #getDistanceToGroundMax()
+	 * @param minimumDistance minimum of the range
+	 * @param maximumDistance maximum of the range
+	 */
+	public void setDistanceToGroundRange(Double minimumDistance, Double maximumDistance) throws IllegalArgumentException{
+		getGatheringEvent(true).setDistanceToGround(minimumDistance);
+		getGatheringEvent(true).setDistanceToGroundMax(maximumDistance);
+	}
+	
+	
+	/**
+	 * Returns the correctly formatted <code>distance to water surface</code> information.
+	 * If distanceToWaterSurfaceText is not blank, it will be returned,
+	 * otherwise distanceToWaterSurface will be returned, followed by distanceToWatersurfaceMax 
+	 * if existing, separated by " - " 
+	 * @return
+	 */
+	@Transient
+	public String distanceToWaterSurfaceToString() {
+		if (! hasGatheringEvent()){
+			return null;
+		}else{
+			GatheringEvent ev = getGatheringEvent(true);
+			String text = ev.getDistanceToWaterSurfaceText();
+			Double min = getDistanceToWaterSurface();
+			Double max = getDistanceToWaterSurfaceMax();
+			return distanceString(min, max, text);
+		}
+	}
+	
 	// distance to water surface
 	@Transient
-	public Integer getDistanceToWaterSurface() {
-		return (hasGatheringEvent() ? getGatheringEvent(true)
-				.getDistanceToWaterSurface() : null);
+	public Double getDistanceToWaterSurface() {
+		return (hasGatheringEvent() ? getGatheringEvent(true).getDistanceToWaterSurface() : null);
 	}
 
-	public void setDistanceToWaterSurface(Integer distanceToWaterSurface) {
-		getGatheringEvent(true).setDistanceToWaterSurface(
-				distanceToWaterSurface);
+	public void setDistanceToWaterSurface(Double distanceToWaterSurface) {
+		getGatheringEvent(true).setDistanceToWaterSurface(distanceToWaterSurface);
 	}
 
+	/**
+	 * @see #getDistanceToWaterSurface()
+	 * @see #getDistanceToWaterSurfaceRange(Double, Double)
+	 */
+	@Transient
+	public Double getDistanceToWaterSurfaceMax() {
+		if (!hasGatheringEvent()) {
+			return null;
+		}else{
+			return getGatheringEvent(true).getDistanceToWaterSurfaceMax();
+		}
+	}
+	
+	public void setDistanceToWaterSurfaceMax(Double distanceToWaterSurfaceMax) {
+		getGatheringEvent(true).setDistanceToWaterSurfaceMax(distanceToWaterSurfaceMax);
+	}
+	
+	/**
+	 * @see #getDistanceToWaterSurface()
+	 * @see #getDistanceToWaterSurfaceRange(Double, Double)
+	 */
+	@Transient
+	public String getDistanceToWaterSurfaceText() {
+		if (!hasGatheringEvent()) {
+			return null;
+		}else{
+			return getGatheringEvent(true).getDistanceToWaterSurfaceText();
+		}
+	}
+	public void setDistanceToWaterSurfaceText(String distanceToWaterSurfaceText) {
+		getGatheringEvent(true).setDistanceToWaterSurfaceText(distanceToWaterSurfaceText);
+	}
+	
+	/**
+	 * Convenience method to set distance to ground minimum and maximum.
+	 * 
+	 * @see #getDistanceToWaterSurface()
+	 * @see #getDistanceToWaterSurfaceMax()
+	 * @param minimumDistance minimum of the range, this is the distance which is closer to the water surface
+	 * @param maximumDistance maximum of the range, this is the distance which is farer to the water surface
+	 */
+	public void setDistanceToWaterSurfaceRange(Double minimumDistance, Double maximumDistance) throws IllegalArgumentException{
+		getGatheringEvent(true).setDistanceToWaterSurface(minimumDistance);
+		getGatheringEvent(true).setDistanceToWaterSurfaceMax(maximumDistance);
+	}
+	
+	
 	// exact location
 	@Transient
 	public Point getExactLocation() {
@@ -1334,7 +1352,7 @@ public class DerivedUnitFacade {
 	 * @param gatheringEvent
 	 */
 	public void setGatheringEvent(GatheringEvent gatheringEvent) {
-		getFieldObservation(true).setGatheringEvent(gatheringEvent);
+		getFieldUnit(true).setGatheringEvent(gatheringEvent);
 	}
 
 	public boolean hasGatheringEvent() {
@@ -1346,26 +1364,26 @@ public class DerivedUnitFacade {
 	}
 
 	public GatheringEvent getGatheringEvent(boolean createIfNotExists) {
-		if (!hasFieldObservation() && !createIfNotExists) {
+		if (!hasFieldUnit() && !createIfNotExists) {
 			return null;
 		}
-		if (createIfNotExists && getFieldObservation(true).getGatheringEvent() == null) {
+		if (createIfNotExists && getFieldUnit(true).getGatheringEvent() == null) {
 			GatheringEvent gatheringEvent = GatheringEvent.NewInstance();
-			getFieldObservation(true).setGatheringEvent(gatheringEvent);
+			getFieldUnit(true).setGatheringEvent(gatheringEvent);
 		}
-		return getFieldObservation(true).getGatheringEvent();
+		return getFieldUnit(true).getGatheringEvent();
 	}
 
 	// ****************** Field Object ************************************/
 
 	/**
-	 * Returns true if a field observation exists (even if all attributes are
+	 * Returns true if a field unit exists (even if all attributes are
 	 * empty or <code>null<code>.
 	 * 
 	 * @return
 	 */
 	public boolean hasFieldObject() {
-		return this.fieldObservation != null;
+		return this.fieldUnit != null;
 	}
 
 	// ecology
@@ -1515,15 +1533,15 @@ public class DerivedUnitFacade {
 
 	// field object definition
 	public void addFieldObjectDefinition(String text, Language language) {
-		getFieldObservation(true).putDefinition(language, text);
+		getFieldUnit(true).putDefinition(language, text);
 	}
 
 	@Transient
 	public Map<Language, LanguageString> getFieldObjectDefinition() {
-		if (!hasFieldObservation()) {
+		if (!hasFieldUnit()) {
 			return new HashMap<Language, LanguageString>();
 		} else {
-			return getFieldObservation(true).getDefinition();
+			return getFieldUnit(true).getDefinition();
 		}
 	}
 
@@ -1538,15 +1556,15 @@ public class DerivedUnitFacade {
 	}
 
 	public void removeFieldObjectDefinition(Language lang) {
-		if (hasFieldObservation()) {
-			getFieldObservation(true).removeDefinition(lang);
+		if (hasFieldUnit()) {
+			getFieldUnit(true).removeDefinition(lang);
 		}
 	}
 
 	// media
 	public boolean addFieldObjectMedia(Media media) {
 		try {
-			return addMedia(media, getFieldObservation(true));
+			return addMedia(media, getFieldUnit(true));
 		} catch (DerivedUnitFacadeNotSupportedException e) {
 			throw new IllegalStateException(notSupportMessage, e);
 		}
@@ -1562,7 +1580,7 @@ public class DerivedUnitFacade {
 		if (!hasFieldObject()) {
 			return false;
 		} else {
-			return (getImageGallery(fieldObservation, false) != null);
+			return (getImageGallery(fieldUnit, false) != null);
 		}
 	}
 
@@ -1571,8 +1589,8 @@ public class DerivedUnitFacade {
 		SpecimenDescription existingGallery = getFieldObjectImageGallery(false);
 
 		// test attached specimens contain this.derivedUnit
-		SpecimenOrObservationBase<?> facadeFieldObservation = innerFieldObservation();
-		testSpecimenInImageGallery(imageGallery, facadeFieldObservation);
+		SpecimenOrObservationBase<?> facadeFieldUnit = innerFieldUnit();
+		testSpecimenInImageGallery(imageGallery, facadeFieldUnit);
 
 		if (existingGallery != null) {
 			if (existingGallery != imageGallery) {
@@ -1620,7 +1638,7 @@ public class DerivedUnitFacade {
 	@Transient
 	public List<Media> getFieldObjectMedia() {
 		try {
-			List<Media> result = getMediaList(getFieldObservation(false), false);
+			List<Media> result = getMediaList(getFieldUnit(false), false);
 			return result == null ? new ArrayList<Media>() : result;
 		} catch (DerivedUnitFacadeNotSupportedException e) {
 			throw new IllegalStateException(notSupportMessage, e);
@@ -1629,7 +1647,7 @@ public class DerivedUnitFacade {
 
 	public boolean removeFieldObjectMedia(Media media) {
 		try {
-			return removeMedia(media, getFieldObservation(false));
+			return removeMedia(media, getFieldUnit(false));
 		} catch (DerivedUnitFacadeNotSupportedException e) {
 			throw new IllegalStateException(notSupportMessage, e);
 		}
@@ -1638,116 +1656,116 @@ public class DerivedUnitFacade {
 	// field number
 	@Transient
 	public String getFieldNumber() {
-		if (!hasFieldObservation()) {
+		if (!hasFieldUnit()) {
 			return null;
 		} else {
-			return getFieldObservation(true).getFieldNumber();
+			return getFieldUnit(true).getFieldNumber();
 		}
 	}
 
 	public void setFieldNumber(String fieldNumber) {
-		getFieldObservation(true).setFieldNumber(fieldNumber);
+		getFieldUnit(true).setFieldNumber(fieldNumber);
 	}
 
 	// primary collector
 	@Transient
 	public Person getPrimaryCollector() {
-		if (!hasFieldObservation()) {
+		if (!hasFieldUnit()) {
 			return null;
 		} else {
-			return getFieldObservation(true).getPrimaryCollector();
+			return getFieldUnit(true).getPrimaryCollector();
 		}
 	}
 
 	public void setPrimaryCollector(Person primaryCollector) {
-		getFieldObservation(true).setPrimaryCollector(primaryCollector);
+		getFieldUnit(true).setPrimaryCollector(primaryCollector);
 	}
 
 	// field notes
 	@Transient
 	public String getFieldNotes() {
-		if (!hasFieldObservation()) {
+		if (!hasFieldUnit()) {
 			return null;
 		} else {
-			return getFieldObservation(true).getFieldNotes();
+			return getFieldUnit(true).getFieldNotes();
 		}
 	}
 
 	public void setFieldNotes(String fieldNotes) {
-		getFieldObservation(true).setFieldNotes(fieldNotes);
+		getFieldUnit(true).setFieldNotes(fieldNotes);
 	}
 
 	// individual counts
 	@Transient
 	public Integer getIndividualCount() {
-		return (hasFieldObservation() ? getFieldObservation(true)
+		return (hasFieldUnit() ? getFieldUnit(true)
 				.getIndividualCount() : null);
 	}
 
 	public void setIndividualCount(Integer individualCount) {
-		getFieldObservation(true).setIndividualCount(individualCount);
+		getFieldUnit(true).setIndividualCount(individualCount);
 	}
 
 	// life stage
 	@Transient
-	public Stage getLifeStage() {
-		return (hasFieldObservation() ? getFieldObservation(true)
+	public DefinedTerm getLifeStage() {
+		return (hasFieldUnit() ? getFieldUnit(true)
 				.getLifeStage() : null);
 	}
 
-	public void setLifeStage(Stage lifeStage) {
-		getFieldObservation(true).setLifeStage(lifeStage);
+	public void setLifeStage(DefinedTerm lifeStage) {
+		getFieldUnit(true).setLifeStage(lifeStage);
 	}
 
 	// sex
 	@Transient
-	public Sex getSex() {
-		return (hasFieldObservation() ? getFieldObservation(true).getSex()
+	public DefinedTerm getSex() {
+		return (hasFieldUnit() ? getFieldUnit(true).getSex()
 				: null);
 	}
 
-	public void setSex(Sex sex) {
-		getFieldObservation(true).setSex(sex);
+	public void setSex(DefinedTerm sex) {
+		getFieldUnit(true).setSex(sex);
 	}
 
-	// field observation
-	public boolean hasFieldObservation() {
-		return (getFieldObservation(false) != null);
+	// field unit
+	public boolean hasFieldUnit() {
+		return (getFieldUnit(false) != null);
 	}
 
 	/**
-	 * Returns the field observation as an object.
+	 * Returns the field unit as an object.
 	 * 
 	 * @return
 	 */
-	public FieldObservation innerFieldObservation() {
-		return getFieldObservation(false);
+	public FieldUnit innerFieldUnit() {
+		return getFieldUnit(false);
 	}
 
 	/**
-	 * Returns the field observation as an object.
+	 * Returns the field unit as an object.
 	 * 
 	 * @return
 	 */
-	public FieldObservation getFieldObservation(boolean createIfNotExists) {
-		if (fieldObservation == null && createIfNotExists) {
-			setFieldObservation(FieldObservation.NewInstance());
+	public FieldUnit getFieldUnit(boolean createIfNotExists) {
+		if (fieldUnit == null && createIfNotExists) {
+			setFieldUnit(FieldUnit.NewInstance());
 		}
-		return this.fieldObservation;
+		return this.fieldUnit;
 	}
 	
 
-	private void setFieldObservation(FieldObservation fieldObservation) {
-		this.fieldObservation = fieldObservation;
-		if (fieldObservation != null){
+	private void setFieldUnit(FieldUnit fieldUnit) {
+		this.fieldUnit = fieldUnit;
+		if (fieldUnit != null){
 			if (config.isFirePropertyChangeEvents()){
-				addNewEventPropagationListener(fieldObservation);
+				addNewEventPropagationListener(fieldUnit);
 			}
 			if (derivedUnit != null){
 				DerivationEvent derivationEvent = getDerivationEvent(CREATE);
-				derivationEvent.addOriginal(fieldObservation);
+				derivationEvent.addOriginal(fieldUnit);
 			}
-			setFieldObservationCacheStrategy();
+			setFieldUnitCacheStrategy();
 		}
 	}
 
@@ -1918,14 +1936,15 @@ public class DerivedUnitFacade {
 	 */
 	private void testSpecimenInImageGallery(SpecimenDescription imageGallery, SpecimenOrObservationBase specimen)
 				throws DerivedUnitFacadeNotSupportedException {
-		Set<SpecimenOrObservationBase> imageGallerySpecimens = imageGallery.getDescribedSpecimenOrObservations();
-		if (imageGallerySpecimens.size() < 1) {
+		SpecimenOrObservationBase imageGallerySpecimen = imageGallery.getDescribedSpecimenOrObservation();
+		if (imageGallerySpecimen == null) {
 			throw new DerivedUnitFacadeNotSupportedException(
-					"Image Gallery has no Specimen attached. Please attache according specimen or field observation.");
+					"Image Gallery has no Specimen attached. Please attache according specimen or field unit.");
 		}
-		if (!imageGallerySpecimens.contains(specimen)) {
+		if (! imageGallerySpecimen.equals(specimen)) {
 			throw new DerivedUnitFacadeNotSupportedException(
-					"Image Gallery has not the facade's field object attached. Please add field object first to image gallery specimenOrObservation list.");
+					"Image Gallery has not the facade's field object attached. Please add field object first " +
+					"to image gallery specimenOrObservation list.");
 		}
 	}
 
@@ -1999,14 +2018,12 @@ public class DerivedUnitFacade {
 	@Transient
 	public PreservationMethod getPreservationMethod() throws MethodNotSupportedByDerivedUnitTypeException {
 		testDerivedUnit();
-		if (derivedUnit.isInstanceOf(Specimen.class)) {
-			return CdmBase.deproxy(derivedUnit, Specimen.class)
-					.getPreservation();
+		if (derivedUnit.getRecordBasis().isPreservedSpecimen()) {
+			return CdmBase.deproxy(derivedUnit, DerivedUnit.class).getPreservation();
 		} else {
-			if (this.config
-					.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
+			if (this.config.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
 				throw new MethodNotSupportedByDerivedUnitTypeException(
-						"A preservation method is only available in derived units of type 'Specimen' or 'Fossil'");
+						"A preservation method is only available in derived units of type 'Preserved Specimen' or one of its specializations like 'Fossil Specimen' ");
 			} else {
 				return null;
 			}
@@ -2022,9 +2039,8 @@ public class DerivedUnitFacade {
 	public void setPreservationMethod(PreservationMethod preservation)
 			throws MethodNotSupportedByDerivedUnitTypeException {
 		testDerivedUnit();
-		if (derivedUnit.isInstanceOf(Specimen.class)) {
-			CdmBase.deproxy(derivedUnit, Specimen.class).setPreservation(
-					preservation);
+		if (derivedUnit.getRecordBasis().isPreservedSpecimen()) {
+			CdmBase.deproxy(derivedUnit, DerivedUnit.class).setPreservation(preservation);
 		} else {
 			if (this.config
 					.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
@@ -2055,14 +2071,14 @@ public class DerivedUnitFacade {
 		if (!titledUnit.isProtectedTitleCache()) {
 			// always compute title cache anew as long as there are no property
 			// change listeners on
-			// field observation, gathering event etc
+			// field unit, gathering event etc
 			titledUnit.setTitleCache(null, false);
 		}
 		return titledUnit.getTitleCache();
 	}
 	
 	private SpecimenOrObservationBase<?> getTitledUnit(){
-		return (derivedUnit != null )? derivedUnit : fieldObservation;
+		return (derivedUnit != null )? derivedUnit : fieldUnit;
 	}
 
 	public boolean isProtectedTitleCache() {
@@ -2078,7 +2094,7 @@ public class DerivedUnitFacade {
 	 * 
 	 * @return the derived unit
 	 */
-	public DerivedUnitBase innerDerivedUnit() {
+	public DerivedUnit innerDerivedUnit() {
 		return this.derivedUnit;
 	}
 	
@@ -2087,16 +2103,16 @@ public class DerivedUnitFacade {
 //	 * 
 //	 * @return the derived unit
 //	 */
-//	public DerivedUnitBase innerDerivedUnit(boolean createIfNotExists) {
+//	public DerivedUnit innerDerivedUnit(boolean createIfNotExists) {
 //		DerivedUnit result = this.derivedUnit; 
 //		if (result == null && createIfNotExists){
-//			if (this.fieldObservation == null){
-//				String message = "Field observation must exist to create derived unit.";
+//			if (this.fieldUnit == null){
+//				String message = "Field unit must exist to create derived unit.";
 //				throw new IllegalStateException(message);
 //			}else{
 //				DerivedUnit = 
 //				DerivationEvent derivationEvent = getDerivationEvent(true);
-//				derivationEvent.addOriginal(fieldObservation);
+//				derivationEvent.addOriginal(fieldUnit);
 //				return this.derivedUnit;
 //			}
 //		}
@@ -2141,23 +2157,21 @@ public class DerivedUnitFacade {
 	 * @param derivedUnit
 	 * @return
 	 */
-	private boolean isAccessioned(DerivedUnitBase<?> derivedUnit) {
-		if (derivedUnit.isInstanceOf(Specimen.class) ){
-			return CdmBase.deproxy(derivedUnit, Specimen.class).getClass().equals(Specimen.class);
+	private boolean isAccessioned(DerivedUnit derivedUnit) {
+		if (derivedUnit.getRecordBasis().equals(SpecimenOrObservationType.PreservedSpecimen) ){
+			return true;   //maybe also subtypes should be true
 		}else{
 			return false;
 		}
 	}
 
 	@Transient
-	public String getExsiccatum()
-			throws MethodNotSupportedByDerivedUnitTypeException {
+	public String getExsiccatum() throws MethodNotSupportedByDerivedUnitTypeException {
 		testDerivedUnit();
-		if (derivedUnit.isInstanceOf(Specimen.class)) {
-			return CdmBase.deproxy(derivedUnit, Specimen.class).getExsiccatum();
+		if (derivedUnit.getRecordBasis().isPreservedSpecimen()) {
+			return derivedUnit.getExsiccatum();
 		} else {
-			if (this.config
-					.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
+			if (this.config.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
 				throw new MethodNotSupportedByDerivedUnitTypeException(
 						"An exsiccatum is only available in derived units of type 'Specimen' or 'Fossil'");
 			} else {
@@ -2168,12 +2182,10 @@ public class DerivedUnitFacade {
 
 	public void setExsiccatum(String exsiccatum) throws Exception {
 		testDerivedUnit();
-		if (derivedUnit.isInstanceOf(Specimen.class)) {
-			CdmBase.deproxy(derivedUnit, Specimen.class).setExsiccatum(
-					exsiccatum);
+		if (derivedUnit.getRecordBasis().isPreservedSpecimen()) {
+			derivedUnit.setExsiccatum(exsiccatum);
 		} else {
-			if (this.config
-					.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
+			if (this.config.isThrowExceptionForNonSpecimenPreservationMethodRequest()) {
 				throw new MethodNotSupportedByDerivedUnitTypeException(
 						"An exsiccatum is only available in derived units of type 'Specimen' or 'Fossil'");
 			} else {
@@ -2189,15 +2201,16 @@ public class DerivedUnitFacade {
 	}
 
 	/**
-	 * Creates an orignal source, adds it to the specimen and returns it.
+	 * Creates an {@link IOriginalSource orignal source} or type , 
+	 * adds it to the specimen and returns it.
 	 * 
 	 * @param reference
 	 * @param microReference
 	 * @param originalNameString
 	 * @return
 	 */
-	public IdentifiableSource addSource(Reference reference, String microReference, String originalNameString) {
-		IdentifiableSource source = IdentifiableSource.NewInstance(reference, microReference);
+	public IdentifiableSource addSource(OriginalSourceType type, Reference reference, String microReference, String originalNameString) {
+		IdentifiableSource source = IdentifiableSource.NewInstance(type, null, null, reference, microReference);
 		source.setOriginalNameString(originalNameString);
 		addSource(source);
 		return source;
@@ -2251,7 +2264,7 @@ public class DerivedUnitFacade {
 
 	// ******************************* Events ***************************
 	
-	//set of events that were currently fired by this facades field observation
+	//set of events that were currently fired by this facades field unit
 	//to avoid recursive fireing of the same event
 	private Set<PropertyChangeEvent> fireingEvents = new HashSet<PropertyChangeEvent>();
 	
@@ -2272,9 +2285,9 @@ public class DerivedUnitFacade {
 				if (derivedUnit != null){
 					derivedUnit.firePropertyChange(event);
 				}else{
-					if (! event.getSource().equals(fieldObservation) && ! fireingEvents.contains(event)  ){
+					if (! event.getSource().equals(fieldUnit) && ! fireingEvents.contains(event)  ){
 						fireingEvents.add(event);
-						fieldObservation.firePropertyChange(event);
+						fieldUnit.firePropertyChange(event);
 						fireingEvents.remove(event);
 					}
 				}
@@ -2290,7 +2303,7 @@ public class DerivedUnitFacade {
 	/**
 	 * Creates a duplicate specimen which derives from the same derivation event
 	 * as the facade specimen and adds collection data to it (all data available
-	 * in DerivedUnitBase and Specimen. Data from SpecimenOrObservationBase and
+	 * in DerivedUnit and Specimen. Data from SpecimenOrObservationBase and
 	 * above are not yet shared at the moment.
 	 * 
 	 * @param collection
@@ -2301,10 +2314,10 @@ public class DerivedUnitFacade {
 	 * @param preservation
 	 * @return
 	 */
-	public Specimen addDuplicate(Collection collection, String catalogNumber,
+	public DerivedUnit addDuplicate(Collection collection, String catalogNumber,
 			String accessionNumber, TaxonNameBase storedUnder, PreservationMethod preservation) {
 		testDerivedUnit();
-		Specimen duplicate = Specimen.NewInstance();
+		DerivedUnit duplicate = DerivedUnit.NewPreservedSpecimenInstance();
 		duplicate.setDerivedFrom(getDerivationEvent(CREATE));
 		duplicate.setCollection(collection);
 		duplicate.setCatalogNumber(catalogNumber);
@@ -2314,29 +2327,29 @@ public class DerivedUnitFacade {
 		return duplicate;
 	}
 
-	public void addDuplicate(DerivedUnitBase duplicateSpecimen) {
+	public void addDuplicate(DerivedUnit duplicateSpecimen) {
 		// TODO check derivedUnitType
 		testDerivedUnit();
 		getDerivationEvent(CREATE).addDerivative(duplicateSpecimen);
 	}
 
 	@Transient
-	public Set<Specimen> getDuplicates() {
+	public Set<DerivedUnit> getDuplicates() {
 		testDerivedUnit();
-		Set<Specimen> result = new HashSet<Specimen>();
+		Set<DerivedUnit> result = new HashSet<DerivedUnit>();
 		if (hasDerivationEvent()) {
-			for (DerivedUnitBase derivedUnit : getDerivationEvent(CREATE)
+			for (DerivedUnit derivedUnit : getDerivationEvent(CREATE)
 					.getDerivatives()) {
-				if (derivedUnit.isInstanceOf(Specimen.class)
+				if (derivedUnit.isInstanceOf(DerivedUnit.class)
 						&& !derivedUnit.equals(this.derivedUnit)) {
-					result.add(CdmBase.deproxy(derivedUnit, Specimen.class));
+					result.add(CdmBase.deproxy(derivedUnit, DerivedUnit.class));
 				}
 			}
 		}
 		return result;
 	}
 
-	public void removeDuplicate(Specimen duplicateSpecimen) {
+	public void removeDuplicate(DerivedUnit duplicateSpecimen) {
 		testDerivedUnit();
 		if (hasDerivationEvent()) {
 			getDerivationEvent(CREATE).removeDerivative(duplicateSpecimen);
@@ -2347,15 +2360,15 @@ public class DerivedUnitFacade {
 
 	private void testDerivedUnit() {
 		if (derivedUnit == null){
-			throw new IllegalStateException("This method is not allowed for this specimen or observation type. Probably you have tried to add specimen(derived unit) information to a field observation");
+			throw new IllegalStateException("This method is not allowed for this specimen or observation type. Probably you have tried to add specimen(derived unit) information to a field unit");
 		}
 	}
 
-	public void setType(DerivedUnitType type) {
+	public void setType(SpecimenOrObservationType type) {
 		this.type = type;
 	}
 
-	public DerivedUnitType getType() {
+	public SpecimenOrObservationType getType() {
 		return type;
 	}
 
@@ -2370,4 +2383,24 @@ public class DerivedUnitFacade {
 			listeningObject.removePropertyChangeListener(listener);
 		}
 	}
+	
+	
+	/**
+	 * Computes the correct distance string for given values for min, max and text.
+	 * If text is not blank, text is returned, otherwise "min - max" or a single value is returned.
+	 * @param min min value as number  
+	 * @param max max value as number
+	 * @param text text representation of distance
+	 * @return the formatted distance string
+	 */
+	private String distanceString(Number min, Number max, String text) {
+		if (StringUtils.isNotBlank(text)){
+			return text;
+		}else{
+			String minStr = min == null? null : String.valueOf(min);
+			String maxStr = max == null? null : String.valueOf(max);
+			String result = CdmUtils.concat(UTF8.EN_DASH_SPATIUM.toString(), minStr, maxStr);
+			return result;
+		}
+	}
 }
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategy.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategy.java
index 2b37d26718..6a7dd79556 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategy.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategy.java
@@ -17,7 +17,7 @@ import org.apache.log4j.Logger;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.strategy.StrategyBase;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 
@@ -26,7 +26,7 @@ import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
  * @date 03.06.2010
  *
  */
-public class DerivedUnitFacadeCacheStrategy extends StrategyBase implements IIdentifiableEntityCacheStrategy<DerivedUnitBase> {
+public class DerivedUnitFacadeCacheStrategy extends StrategyBase implements IIdentifiableEntityCacheStrategy<DerivedUnit> {
 	private static final long serialVersionUID = 1578628591216605619L;
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(DerivedUnitFacadeCacheStrategy.class);
@@ -49,8 +49,8 @@ public class DerivedUnitFacadeCacheStrategy extends StrategyBase implements IIde
 	 * @see eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.common.IdentifiableEntity)
 	 */
 	@Override
-	public String getTitleCache(DerivedUnitBase derivedUnit) {
-		DerivedUnitFacadeFieldObservationCacheStrategy fieldStrategy = new DerivedUnitFacadeFieldObservationCacheStrategy();
+	public String getTitleCache(DerivedUnit derivedUnit) {
+		DerivedUnitFacadeFieldUnitCacheStrategy fieldStrategy = new DerivedUnitFacadeFieldUnitCacheStrategy();
 
 		String result = "";
 		
